/v1/workspaces/{workspace_id}/notification-types/{type_id}/templates/{channel}/{locale}/versionsAuthList a template's versions
The last 20 versions, newest first.
Path parameters
workspace_id*string · uuidId of the workspace.
type_id*string · uuidId of the type.
channel*enum (5)Template channel.
locale*stringTemplate locale (BCP 47).
Response · 200 The versions.
data*arrayThe last 20 versions, newest first.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/notification-types/{type_id}/templates/{channel}/{locale}/versions
Authorization: Bearer YOUR_TOKENimport { Notify } from "@productcraft/notify";
// Reads PRODUCTCRAFT_API_KEY and PRODUCTCRAFT_WORKSPACE_ID from the environment;
// client routes take a recipient token: notify.client({ token })
const notify = new Notify();
const templateVersionList = await notify.notificationTypes.templates.versions("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "inbox", "pt-PT");notify.notificationTypes.templates.versions(typeId, channel, locale, options?): Notify.TemplateVersionList
Response
{
"data": [
{
"version": 0,
"body": {},
"actor": "string",
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}